using APT.BaseData.Domain.Enums;
using APT.Infrastructure.Core;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Text;

namespace APT.MS.Domain.Entities.BI
{
    /// <summary>
    /// （H=>Home）各部门隐患数量
    /// </summary>
    [Description("各部门隐患数量")]
    public class T_BI_HRISK_COUNT : MesEntityBase
    {
        /// <summary>
        /// 年份
        /// </summary>
        [Description("年份")]
        public int YEAR { get; set; }

        /// <summary>
        /// 生产单元
        /// </summary>
        [Description("生产单元")]
        public FMProductionUnit? MINETYPE { get; set; }

        /// <summary>
        /// 部门层级
        /// </summary>
        [Description("部门层级")]
        public FMDepartmentType DEPARTMENT_TYPE { get; set; }

        /// <summary>
        /// 部门ID
        /// </summary>
        [Description("部门ID")]
        public Guid? DEPARTMENT_ID { get; set; }

        /// <summary>
        /// 部门名称
        /// </summary>
        [Description("部门名称")]
        [DataFieldLength(200)]
        public string DEPARTMENT_NAME { get; set; }

        /// <summary>
        /// 整改数
        /// </summary>
        [Description("整改数")]
        public int COUNT_CHANGE { get; set; }

        /// <summary>
        /// 未整改数
        /// </summary>
        [Description("未整改数")]
        public int COUNT_UNCHANGE { get; set; }
    }
}